%define upstream_name	 PHP-Include
%define upstream_version 0.37

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Include PHP files in Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/E/ES/ESUMMERS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Filter::Simple) >= 0.780.0
BuildRequires: perl(Parse::RecDescent) >= 1.0.0
BuildRequires: perl(Parse::RecDescent)
BuildArch:  noarch

%description
PHP::Include builds on the shoulders of Filter::Simple and Parse::RecDescent to
provide a Perl utility for including very simple PHP Files from a Perl program.

When working with Perl and PHP it is often convenient to be able to share
configuration data between programs written in both languages.  One solution to
this would be to use a language independent configuration file (did I hear
someone say XML?). Another solution is to use Perl's flexibility to read PHP
and rewrite it as Perl. PHP::Include does the latter with the help of
Filter::Simple and Parse::RecDescent to rewrite very simple PHP as Perl.

Filter::Simple is used to enable macros (at the moment only one) which 
cause PHP to be interpolated into your Perl source code, which is then parsed
using a Parse::RecDescent grammar to generate the appropriate Perl.

PHP::Include was designed to allow the more adventurous to add grammars that 
extend the complexity of PHP that may be included. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/PHP
%{_mandir}/*/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.370.0-7.mga10
+ Revision: 2200186
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.370.0-6.mga9
+ Revision: 1805080
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.370.0-5.mga8
+ Revision: 1496556
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.370.0-4.mga7
+ Revision: 1270518
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.370.0-3.mga6
+ Revision: 1032040
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.370.0-2.mga6
+ Revision: 971337
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 0.370.0-1.mga6
+ Revision: 891516
- update to 0.37

* Wed Oct 15 2014 umeabot <umeabot> 0.360.0-5.mga5
+ Revision: 748471
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.360.0-4.mga5
+ Revision: 685804
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.360.0-3.mga4
+ Revision: 513743
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.360.0-2.mga3
+ Revision: 371211
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.360.0-1.mga3
+ Revision: 342460
- update to 0.36

* Tue Jun 05 2012 jquelin <jquelin> 0.350.0-1.mga3
+ Revision: 255274
- update to 0.35

* Thu Oct 13 2011 jquelin <jquelin> 0.340.0-1.mga2
+ Revision: 154433
- update to 0.34

* Tue Feb 22 2011 jquelin <jquelin> 0.330.0-1.mga1
+ Revision: 56699
- update to 0.33

* Sat Jan 22 2011 jquelin <jquelin> 0.2-7.mga1
+ Revision: 31009
- mageia rebuild
- imported package perl-PHP-Include


* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.2-7mdv2010.0
+ Revision: 430528
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.2-6mdv2009.0
+ Revision: 258228
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.2-5mdv2009.0
+ Revision: 246288
- rebuild

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.2-3mdv2008.1
+ Revision: 137073
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Nov 17 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2-2mdv2007.0
+ Revision: 85336
- Import perl-PHP-Include

* Fri Nov 17 2006 Oden Eriksson <oeriksson@mandrakesoft.com> 0.2-3
- rebuild

* Wed Sep 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.2-1mdk
- New release 0.2
- spec cleanup
- make test in %%check

* Tue Feb 22 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.1-2mdk
- fix deps

* Tue Feb 22 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.1-1mdk
- initial Mandrakelinux package

